@tailwind base;
@tailwind components;
@tailwind utilities;

* {
  scroll-behavior: smooth;
}

@layer base {
  p {
    @apply text-base;
  }

  h1 {
    @apply text-2xl lg:text-3xl font-medium tracking-wide;
  }

  h2 {
    @apply text-2xl lg:text-3xl font-medium tracking-wide;
  }

  h3 {
    @apply text-2xl lg:text-3xl font-medium tracking-wide;
  }

  h4 {
    @apply lg:text-lg font-medium tracking-wide;
  }

  h5 {
    @apply sm:text-lg md:text-xl font-medium;
  }

  h6 {
    @apply text-base sm:text-lg font-medium;
  }

  /* input {
    @apply rounded-lg bg-neutral-10 border-divider-border;
  } */

  .section {
    @apply py-8 md:py-12 xl:py-16;
  }
  
  /* .icon-button {
    @apply py-2 px-2 rounded-full shadow bg-primary-hover text-primary-main hover:opacity-75;
  } */

  /* .swiper-disable {
    @apply bg-neutral-20 text-neutral-50 hover:opacity-100;
  } */
}

.mySwiper {
  --swiper-pagination-color: #FF5B00;
  --swiper-pagination-bullet-opacity: 1;
  --swiper-pagination-bullet-inactive-color: #FF5B00;
  --swiper-pagination-bullet-inactive-opacity: 0.75;
}